Results 1 to 5 of 5

Thread: How to update / upgrade php version

  1. #1
    Join Date
    Oct 2009
    Posts
    9

    Default How to update / upgrade php version

    Hi,

    Will it be possible to upgrade php 5.2.0-8+etch16 into PHP 5.2.1 or higher ?

    If possible how to do that one ?

    Please .

    Thanks

  2. #2
    Join Date
    Jul 2007
    Location
    127.0.0.1
    Posts
    392

    Default

    Yes. Upgrade to Lenny...

    Code:
    [209][nyl6 ~]:# aptitude show php5-cgi
    Package: php5-cgi
    State: installed
    Automatically installed: no
    Version: 5.2.6.dfsg.1-1+lenny6
    Priority: optional
    Section: web
    Maintainer: Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>
    Uncompressed Size: 10.6M
    Depends: libbz2-1.0, libc6 (>= 2.7-1), libcomerr2 (>= 1.01), libdb4.6, libkrb53 (>= 1.6.dfsg.2), libpcre3 (>= 7.4), libssl0.9.8 (>= 0.9.8f-5), libxml2 (>= 2.6.28), zlib1g (>= 1:1.1.4),
             mime-support, php5-common (= 5.2.6.dfsg.1-1+lenny6), libmagic1, ucf, tzdata
    Suggests: php-pear
    Provides: phpapi-20060613+lfs

  3. #3
    Join Date
    Dec 2007
    Posts
    1,141

    Default

    Quote Originally Posted by GuyPatterson View Post
    Yes. Upgrade to Lenny...
    ... with the OS template rebuild process at My.VPSLink.com (not with apt-get dist-upgrade )

  4. #4
    Join Date
    Oct 2009
    Posts
    9

    Default

    will this be possible ?

    1. Edit sources.list
    PHP Code:

    sudo vi 
    /etc/apt/sources.list 
    and change all words etch to lenny, or stable to testing

    2. Update and upgrade

    PHP Code:
    sudo aptitude update

    sudo aptitude install apt dpkg aptitude

    sudo aptitude full
    -upgrade 
    coz I dont want to remove all files I currently have now ... also I am running on VPS Link 2 , will it be possible ?

  5. #5
    Join Date
    Mar 2009
    Posts
    137

    Default

    running lenny packages on an old version probably isnt a good idea....

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •